diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSelect.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSelect.template
index 6a63a0a92a52688c72f68ee7439e7e66405e3f9e..bcb047dbf80c578c05ef83d8ac407189235502f1 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSelect.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSelect.template
@@ -25,7 +25,7 @@ Certificate Profile
   Use this form to submit the request.
 <p>
 </font>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif"
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif"
 width="100%">
   <tr>
     <td>&nbsp;</td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSubmit.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSubmit.template
index 6fa3a0d7197712a39fb79036095cab2f9ee0e20b..ce1ec122e726ac4986e79151413e4836ef5021fd 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSubmit.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/ProfileSubmit.template
@@ -24,7 +24,7 @@ Certificate Profile
   <Font size="-1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
 <p>
 </font>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif"
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif"
 width="100%">
   <tr>
     <td>&nbsp;</td>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial.template
index e01e4e123f8d7395788e146123e88dafd8dd3eb6..e9b4d72bfb2b23a67c15282ae521b513d7a5dbfd 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial.template
@@ -74,7 +74,7 @@ if (navigator.appName == 'Netscape' &&
 //-->
 </SCRIPT>
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial2.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial2.template
index 909cf8030f9f0f654464a96ef39523a806c8af5d..f8f30649920979e888c9a9fb91a5e563eca0270a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial2.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayBySerial2.template
@@ -67,7 +67,7 @@ if (navigator.appName == 'Netscape' &&
 //-->
 </SCRIPT>
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCRL.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCRL.template
index 2b98ed588b8c900f2a3992b3aff63cfd309af5e4..e829387c1ec5f99eb4df246da131dde320c99534 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCRL.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCRL.template
@@ -28,7 +28,7 @@
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">
 Certificate Revocation List
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCaCert.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCaCert.template
index 7ce74f91f378a4939b9f298aadbf3bae2fd787c8..4e93919f53d553872ff9ee98356d81edda9a7640 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCaCert.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCaCert.template
@@ -28,7 +28,7 @@
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">
 CA Certificate Chain
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width=
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width=
 "100%">
   <tr>
     <td>&nbsp;</td>
@@ -66,7 +66,7 @@ if (result.header.displayFormat == "chain") {
 
 function displayCertificate(cert,i)
 {
-    document.writeln('<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">' + '\n' +
+    document.writeln('<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">' + '\n' +
     '  <tr>' + '\n' +
     '    <td>&nbsp;</td>' + '\n' +
     '  </tr>' + '\n' +
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCertFromRequest.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCertFromRequest.template
index d30744150b829df9fd79e49a4a40dec50ed67023..aafa17aca89305e5a5789dbe43a14e5a4f5a6047 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCertFromRequest.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/displayCertFromRequest.template
@@ -55,7 +55,7 @@ function displayCert(cert)
 		'</font><br>');
 	document.writeln(
 		'<table border="0" cellspacing="0" cellpadding="0" '+
-		'background="/ca/ee/graphics/hr.gif" width="100%">'+
+		'background="/pki/images/hr.gif" width="100%">'+
 		'<tr>'+
 		'<td>&nbsp;</td>'+
 		'</tr>'+
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/queryCert.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/queryCert.template
index a6dcf31f378f2b886c6b6d86c9789ba9cca46764..1165cb309431cf4e7f83eed6759925b86d11d23e 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/queryCert.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/queryCert.template
@@ -62,7 +62,7 @@ table#t td {
 <body bgcolor="#FFFFFF" link="#000000" vlink="#000000" alink="#000000">
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">Search Results
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
@@ -358,7 +358,7 @@ document.write("</table>\n");
 	if ((result.header.revokeAll != null && result.header.totalRecordCount > 1) ||
         (result.header.querySentinelDown != null)) {
         document.write("<br>&nbsp;\n" +
-            "<table border='0' cellspacing='0' cellpadding='0' background='/graphics/hr.gif' width='100%'>\n"+
+            "<table border='0' cellspacing='0' cellpadding='0' background='/pki/images/hr.gif' width='100%'>\n"+
             "<tr><td>&nbsp;</td></tr></table>\n");
     }
 
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/reasonToRevoke.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/reasonToRevoke.template
index b8b161a93e89f0e5d5bba3e6a3320c16fa6781d7..7edfe7e29db58d2190f738d2c9dc6f4ac021284a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/reasonToRevoke.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/reasonToRevoke.template
@@ -257,7 +257,7 @@ Certificate Revocation Confirmation</font><br>
 Use this form to confirm certificate revocation by selecting appropriate
 revocation reason and submitting the form.</font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/ca/ee/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/remoteAuthConfig.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/remoteAuthConfig.template
index 777c61575152ddc2371322e307a6d60e0c8723e9..f66f683cf02f2e38766c73c9b7e62e4e8f03aa78 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/remoteAuthConfig.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/remoteAuthConfig.template
@@ -32,7 +32,7 @@ Delegated Administrator
 <font size="-1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
 Directory Enrollment Setup.
 </font>
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/ca/ee/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/requestStatus.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/requestStatus.template
index b00e55766ee5520c74e9a691203d277f01f4578a..a25f5e2ada419cbf515168783e83cf9c4fcd4697 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/requestStatus.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/requestStatus.template
@@ -31,7 +31,7 @@
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">
 Request Status
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/ca/ee/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/srchCert.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/srchCert.template
index 6381cec87d62353f45c13eb2f6180314094e33d4..4213d000a94eb19d12a93029c7483f316756186b 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/srchCert.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/srchCert.template
@@ -61,7 +61,7 @@ table#t td {
 <body bgcolor="#FFFFFF" link="#000000" vlink="#000000" alink="#000000">
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">Search Results
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
@@ -372,7 +372,7 @@ document.write("</table>\n");
 	if ((result.header.revokeAll != null && result.header.totalRecordCount > 1) ||
         (result.header.querySentinel != null)) {
         document.write("<br>&nbsp;\n" +
-            "<table border='0' cellspacing='0' cellpadding='0' background='/graphics/hr.gif' width='100%'>\n"+
+            "<table border='0' cellspacing='0' cellpadding='0' background='/pki/images/hr.gif' width='100%'>\n"+
             "<tr><td>&nbsp;</td></tr></table>\n");
     }
 
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/toDisplayCRL.template b/dogtag/ca-ui/shared/webapps/ca/ee/ca/toDisplayCRL.template
index 53c353e8d15ef6e4667aeb61798f5a2ec6145f4a..2a158381fa37e8bc7da0acf16f03f373dd434116 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/toDisplayCRL.template
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/toDisplayCRL.template
@@ -84,7 +84,7 @@ Use this form to check whether a particular certificate has been revoked or
 to import the latest Certificate Revocation List. 
 </font>
 
-<table BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH="100%" BACKGROUND="/ca/ee/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/GenUnexpectedError.template b/dogtag/kra-ui/shared/webapps/kra/GenUnexpectedError.template
index a6ec193bced55f17491e903030284e628d9c38f5..8cf1a05b968e601c5217d2c9ea4ab689161a573c 100644
--- a/dogtag/kra-ui/shared/webapps/kra/GenUnexpectedError.template
+++ b/dogtag/kra-ui/shared/webapps/kra/GenUnexpectedError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/kra/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/GenError.template b/dogtag/kra-ui/shared/webapps/kra/agent/GenError.template
index 2ecb08cf597d23f761cde1b1a3345d530f9b3654..00fc21da0224bf239969fc5deceddb8f3f6d1450 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/GenError.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/GenError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/kra/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/GenUnexpectedError.template b/dogtag/kra-ui/shared/webapps/kra/agent/GenUnexpectedError.template
index 0af3aa15db773c46ec0af8ec3062ac0f64637ccd..2427a67b606321e3e2093880ca7984a2864b09e1 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/GenUnexpectedError.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/GenUnexpectedError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/kra/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial.template
index 8b6795365930bb3e9cb468412091a30978cdf6fd..117535fa18f451f9620af33222e7d9202891668a 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial.template
@@ -59,7 +59,7 @@ if (result.header.errorDetails != null) {
         'request \')" onMouseOut="return helpstatus(\'\')">' +
         renderHexNumber(result.header.serialNumber,8) +
         '</a></font></font>');
-	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
 	document.writeln('<table border="0" cellspacing="2" cellpadding="2" width="100%">');
 	document.writeln('<tr><td valign="top" align="left" colspan="3" bgcolor="#e5e5e5">');
@@ -113,7 +113,7 @@ if (result.header.errorDetails != null) {
     }
 
 	document.write("</table>");
-	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 }
 </script>
 </body>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial2.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial2.template
index 332d205c2b5975551bb6b9bc734e2ef5fff6891e..30af980ec7c45184bd5d20de2fde8b64b8c653bd 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial2.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerial2.template
@@ -50,7 +50,7 @@ if (navigator.appName == 'Netscape' &&
 //-->
 </SCRIPT>
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="art/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
index b1c931b123a1bfaadfa6da5147c12966aa6def5f..125e02e4a95c770de129c25146f0281251e34991 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
@@ -100,7 +100,7 @@ if (result.header.errorDetails != null) {
         renderHexNumber(result.header.serialNumber,8) +
         '</a></font></font>');
 
-        document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
     	document.write('<form method=post ' +
           'action="' + '/kra/agent/kra/recoverBySerial' + '">\n');
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/examineRecovery.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/examineRecovery.template
index 240f7e9e447e3473f4d3f41ecf32db669339a326..f5a1f1f14acdfabdf168ba9a6d21e59017929136 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/examineRecovery.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/examineRecovery.template
@@ -53,7 +53,7 @@ if (result.header.errorDetails != null) {
         'Recovery Operation ' + result.header.recoveryID +
         '</font></font>');
 
-	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+	document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
        document.write('<form method=post ' +
           'action="' + '/kra/agent/kra/grantRecovery' + '">\n');
 
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/getStats.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/getStats.template
index cfd2f31939c72ee8f421895a8e7bb9d1a3fae4a4..b2cb3415a95ff810c462cbe1162cd161143b66d7 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/getStats.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/getStats.template
@@ -20,7 +20,7 @@ if (navigator.appName == "Microsoft Internet Explorer") {
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">
 Statistics
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/monitor.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/monitor.template
index 27fa7f84aa79203a223a7bf729bbb6118d95c66b..35896baf16b0533bf0e1a042b02d0926f516b6a0 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/monitor.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/monitor.template
@@ -8,7 +8,7 @@
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
 Monitor
 </font>
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/processReq.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/processReq.template
index a5292102df7e9e24134221fdeb89728e795c3e68..078764d989640f46a4a711def96c0bced016b37a 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/processReq.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/processReq.template
@@ -68,7 +68,7 @@ document.writeln(
 	'request \')" onMouseOut="return helpstatus(\'\')">' +
 	result.header.seqNum + 
 	'</a></font></font>');
-document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD></TD></TR></TABLE>');
+document.writeln('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD></TD></TR></TABLE>');
 
 
 document.writeln('<form action="/kra/agent/kra/getAsyncPk12" method=post onSubmit="return passwdValidate()">');
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKey.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKey.template
index f7560a1938516f87cd2d87e9a7a1c6f40b0a7bc6..fd2348dc6af04b012a3d2e053471eb25cf7aa0d7 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKey.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKey.template
@@ -174,11 +174,11 @@ if (result.header.errorDetails != null) {
 	writeError(result.header.errorDetails);
 } else if (result.header.totalRecordCount == 0) {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<div align=left><b><font face="PrimaSans BT, Verdana, sans-serif" size="+1">No Matching Key Found</font></b></div>\n');
 } else {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>');
 	document.write('Authority: ' +
 (result.header.archiverName != null ? result.header.archiverName : "UNKNOWN"));
@@ -195,7 +195,7 @@ if (result.header.errorDetails != null) {
 		displayKeyRecord(result.recordSet[i]);
 	}
 	document.write('</table>');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
 	if (result.header.querySentinel != null) {
 		displayNextForm();
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKeyForRecovery.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
index 590584dd404f226d0895850e3c7da270a2ddfa0a..aec54464d1e12b4bd8d230ec5287783a798bf61d 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
@@ -186,11 +186,11 @@ if (result.header.errorDetails != null) {
 	writeError(result.header.errorDetails);
 } else if (result.header.totalRecordCount == 0) {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<div align=left><b><font face="PrimaSans BT, Verdana, sans-serif" size="+1">No Matching Key Found</font></b></div>\n');
 } else {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>');
 	document.write('Authority: ' +
 (result.header.archiverName != null ? result.header.archiverName : "UNKNOWN"));
@@ -207,7 +207,7 @@ if (result.header.errorDetails != null) {
 		displayKeyRecord(result.recordSet[i]);
 	}
 	document.write('</table>');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
 	if (result.header.querySentinel != null) {
 		displayNextForm();
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryReq.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryReq.template
index 47db884fae685812ae6f648ffb15ad485024f17a..61a7bb0a202637035963eb2e387411c252fe9339 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryReq.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/queryReq.template
@@ -38,7 +38,7 @@ table#t td {
 <font size=+1 face="PrimaSans BT, Verdana, sans-serif">Request Queue</font>
 <br>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKey.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKey.template
index bc64ea44501bfc69ae9e826c67c63a8250363451..f9d39e19491df5b8f557e74cb0c59cf34bae0fea 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKey.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKey.template
@@ -174,11 +174,11 @@ if (result.header.errorDetails != null) {
 	writeError(result.header.errorDetails);
 } else if (result.header.totalRecordCount == 0) {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<div align=left><b><font face="PrimaSans BT, Verdana, sans-serif" size="+1">No Matching Key Found</font></b></div>\n');
 } else {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>');
 	document.write('Authority: ' +
 (result.header.archiverName != null ? result.header.archiverName : "UNKNOWN"));
@@ -203,7 +203,7 @@ if (result.header.errorDetails != null) {
 		displayKeyRecord(result.recordSet[i]);
 	}
 	document.write('</table>');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
 }
 
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKeyForRecovery.template b/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
index 2c421a5e754198e898487b79828915ae45c40542..a4605ff9a0d2475c6fa2e115b5ece97ca73872fd 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
@@ -187,11 +187,11 @@ if (result.header.errorDetails != null) {
 	writeError(result.header.errorDetails);
 } else if (result.header.totalRecordCount == 0) {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<div align=left><b><font face="PrimaSans BT, Verdana, sans-serif" size="+1">No Matching Key Found</font></b></div>\n');
 } else {
         document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>Search Results</font>\n');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 	document.write('<font face="PrimaSans BT, Verdana, sans-serif" size=+1>');
 	document.write('Authority: ' +
 (result.header.archiverName != null ? result.header.archiverName : "UNKNOWN"));
@@ -217,7 +217,7 @@ if (result.header.errorDetails != null) {
 		displayKeyRecord(result.recordSet[i]);
 	}
 	document.write('</table>');
-        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/graphics/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
+        document.write('<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif"><TR><TD>&nbsp;</TD></TR></TABLE>');
 
 }
 
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/GenUnexpectedError.template b/dogtag/ocsp-ui/shared/webapps/ocsp/GenUnexpectedError.template
index b7842462633774be45dfd6b8e4690e0d63527cd2..824bdb9e95756540012e912bbf0e66eb7a217003 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/GenUnexpectedError.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/GenUnexpectedError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/ocsp/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenError.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenError.template
index c2b45826e590dc9c9ace9d5b6542ec1f89a9cd78..13996d5d4436c8c4ceeb335479eabddbcad4044a 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenError.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/ocsp/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenUnexpectedError.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenUnexpectedError.template
index d68d10a19852c557036c01e348eb248351356c7a..a929c760f57e5824c4c9bfa3908f28cabda8fb12 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenUnexpectedError.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/GenUnexpectedError.template
@@ -27,7 +27,7 @@
 Problem Processing Your Request
 </font>
 
-<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/ocsp/agent/graphics/hr.gif" >
+<table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%" BACKGROUND="/pki/images/hr.gif" >
   <tr>
     <td>&nbsp;</td>
   </tr>
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/addCA.template b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/addCA.template
index 5d71adca84ac450f2eb6c44018b649a586be4239..3205ee0b9573ac8070793ace213edbb3e7462945 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/addCA.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/addCA.template
@@ -37,7 +37,7 @@ if (navigator.appName == "Microsoft Internet Explorer") {
 <font face="PrimaSans BT, Verdana, sans-serif" size="+1">
 Adding Certificate Authority
 </font><br>
-<table border="0" cellspacing="0" cellpadding="0" background="/graphics/hr.gif" width="100%">
+<table border="0" cellspacing="0" cellpadding="0" background="/pki/images/hr.gif" width="100%">
   <tr> 
     <td>&nbsp;</td>
   </tr>
